<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
</head>

<body>
    
    <script>
        class Usuario {
            constructor(email, senha) {
                this.email
                this.senha
                this.admin = false
            }

            isAdmin() {
                return this.admin
            }
        }
        class Admin extends Usuario {
            constructor(email, senha) {
                super(email, senha)
                this.admin = true
            }
        }
        const User1 = new Usuario('email@teste.com', 'senha123');
        const Adm1 = new Admin('email@teste.com', 'senha123');
        console.log(User1.isAdmin()) // false
        console.log(Adm1.isAdmin()) // true
    </script>
</body>

</html>